Bank Accounts
BankAccount objects represent top-level bank account data from AppFolio®. Skywalk API allows you to obtain the following bank account attributes from AppFolio®.
The BankAccount Object
Attributes
appfolioIdstring
AppFolio ID of Bank Account.
Example:
"34"
namestring
Name of Bank Account.
Example:
"Chase Skywalk Account"
bankNamestring
Name of Bank.
Example:
"Chase"
maskedAccountNumberstring
Account number of bank account (masked).
Example:
"*****1234"
maskedRoutingNumberstring
Routing number of bank account (masked).
Example:
"*****0000"
lastReconciliationstring
Date of last reconciliation of bank account.
Example:
"2023/08/01"
More Attributes
corporateboolean
paymentsEnabledStatusstring
hiddenboolean
The BankAccount Object
{
"appfolioId": "34",
"name": "Chase Skywalk Account",
"bankName": "Chase",
"corporate": false,
"hidden": false,
"lastReconciliation": "2023/08/01",
"maskedAccountNumber": "*****1234",
"maskedRoutingNumber": "*****0000",
"paymentsEnabledStatus": "enabled"
}
Get All Bank Accounts
GET /v1/bank-accounts
Follows: Authentication • Caching • Polling • List Response Format • Scheduled Job
The bank accounts endpoint returns a list of all bank accounts in your AppFolio® account. This endpoint should respond immediately with your most recently cached data.
Parameters
This endpoint requires no additional parameters.
Returns
The standard List Response Format with a data property containing an array of BankAccount objects.
GET /v1/bank-account
curl -X GET 'https://api.skywalkapi.com/v1/bank-account' \
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
Response
{
"meta": {
"status": "ok",
"path": "/v1/bank-accounts",
"query": {},
"count": 1,
"lastUpdated": 1610992228
},
"links": {
"next": "/v1/bank-accounts?cursor=abcdefg"
},
"data": [
{
"appfolioId": "34",
"name": "Chase Skywalk Account",
"bankName": "Chase",
"corporate": false,
"hidden": false,
"lastReconciliation": "2023/08/01",
"maskedAccountNumber": "*****1234",
"maskedRoutingNumber": "*****0000",
"paymentsEnabledStatus": "enabled"
}
]
}